package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[门户视图部件类型]
 */
@Component("ionicdemo_PVPartTypeCodeList")
public class PVPartTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_PVPartType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("LIST");
		item0.setId("LIST");
		item0.setText("列表");
		item0.setLabel("列表");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("LIST",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("CHART");
		item1.setId("CHART");
		item1.setText("图表");
		item1.setLabel("图表");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("CHART",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}